claw::graphic::targa::writer Class Reference

This class write an image in a targa file. More...

`#include <targa.hpp>`

## Classes

class | file_output_buffer
| The type of the output buffer associated with the file when encoding RLE data. More...
class | rle_targa_encoder
| RLE encoder for targa format. More...

## Public Types

typedef rle_targa_encoder< rgba_pixel_8 > | rle32_encoder
| RLE encoder for 32 bpp targa images.

## Public Member Functions

| writer (const image &img)
| Constructor.
| writer (const image &img, std::ostream &f, bool rle)
| Constructor.
void | save (std::ostream &f, bool rle) const
| Save the content of the image in a stream.

## Detailed Description

This class write an image in a targa file.

Author
  Julien Jorge

Definition at line 410 of file targa.hpp.

## Member Typedef Documentation

## rle32_encoder

typedef rle_targa_encoder<rgba_pixel_8> claw::graphic::targa::writer::rle32_encoder

RLE encoder for 32 bpp targa images.

Definition at line 475 of file targa.hpp.

## Constructor & Destructor Documentation

## writer() [1/2]

claw::graphic::targa::writer::writer | ( | const image & | img | ) |

Constructor.

Parameters

  img | The image to save.

Definition at line 72 of file targa_writer.cpp.

References claw::graphic::image::image().

## writer() [2/2]

claw::graphic::targa::writer::writer | ( | const image & | img,
|  | std::ostream & | f,
|  | bool | rle )

Constructor.

Parameters

  img | The image to save.
  f | The file in which we save the data.
  rle | Tell if we must encode the data.

Definition at line 85 of file targa_writer.cpp.

References claw::graphic::image::image(), and save().

## Member Function Documentation

## save()

void claw::graphic::targa::writer::save | ( | std::ostream & | os,
|  | bool | rle ) const

Save the content of the image in a stream.

Parameters

  os | The stream in which we write.
  rle | Tell if we must encode the data.

Definition at line 98 of file targa_writer.cpp.

References claw::graphic::targa::file_structure::header::image_type.

Referenced by writer().

The documentation for this class was generated from the following files:

- targa.hpp
- code/targa_writer.cpp